'\" t
.\"     Title: lastlog
.\"    Author: Julianne Frances Haugh
.\" Generator: DocBook XSL Stylesheets vsnapshot <http://docbook.sf.net/>
.\"      Date: 22/08/2022
.\"    Manual: Commandes de gestion du syst\(`eme
.\"    Source: shadow-utils 4.12.3
.\"  Language: French
.\"
.TH "LASTLOG" "8" "22/08/2022" "shadow\-utils 4\&.12\&.3" "Commandes de gestion du syst\(`em"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NOM"
lastlog \- signaler les connexions les plus r\('ecentes de tous les utilisateurs ou d\*(Aqun utilisateur donn\('e
.SH "SYNOPSIS"
.HP \w'\fBlastlog\fR\ 'u
\fBlastlog\fR [\fIoptions\fR]
.SH "DESCRIPTION"
.PP
\fBlastlog\fR
formats and prints the contents of the last login log
/var/log/lastlog
file\&. The
\fIlogin\-name\fR,
\fIport\fR, and
\fIlast login time\fR
will be printed\&. The default (no flags) causes lastlog entries to be printed, sorted by their order in
/etc/passwd\&.
.SH "OPTIONS"
.PP
The options which apply to the
\fBlastlog\fR
command are:
.PP
\fB\-b\fR, \fB\-\-before\fR\ \&\fIDAYS\fR
.RS 4
Print only lastlog records older than
\fIDAYS\fR\&.
.RE
.PP
\fB\-C\fR, \fB\-\-clear\fR
.RS 4
Clear lastlog record of a user\&. This option can be used only together with
\fB\-u\fR
(\fB\-\-user\fR))\&.
.RE
.PP
\fB\-h\fR, \fB\-\-help\fR
.RS 4
Afficher un message d\*(Aqaide et quitter\&.
.RE
.PP
\fB\-R\fR, \fB\-\-root\fR\ \&\fICHROOT_DIR\fR
.RS 4
Apply changes in the
\fICHROOT_DIR\fR
directory and use the configuration files from the
\fICHROOT_DIR\fR
directory\&. Only absolute paths are supported\&.
.RE
.PP
\fB\-S\fR, \fB\-\-set\fR
.RS 4
Set lastlog record of a user to the current time\&. This option can be used only together with
\fB\-u\fR
(\fB\-\-user\fR))\&.
.RE
.PP
\fB\-t\fR, \fB\-\-time\fR\ \&\fIDAYS\fR
.RS 4
Print the lastlog records more recent than
\fIDAYS\fR\&.
.RE
.PP
\fB\-u\fR, \fB\-\-user\fR\ \&\fILOGIN\fR|\fIRANGE\fR
.RS 4
N\*(Aqafficher que les entr\('ees correspondant aux utilisateurs indiqu\('es\&.
.sp
The users can be specified by a login name, a numerical user ID, or a
\fIRANGE\fR
of users\&. This
\fIRANGE\fR
of users can be specified with a min and max values (\fIUID_MIN\-UID_MAX\fR), a max value (\fI\-UID_MAX\fR), or a min value (\fIUID_MIN\-\fR)\&.
.RE
.PP
If the user has never logged in the message
\fI** Never logged in**\fR
will be displayed instead of the port and time\&.
.PP
Seules les entr\('ees pour les utilisateurs actuels du syst\(`eme seront affich\('ees\&. D\*(Aqautres entr\('ees peuvent exister pour les utilisateurs supprim\('es pr\('ec\('edemment\&.
.SH "NOTE"
.PP
The
lastlog
file is a database which contains info on the last login of each user\&. You should not rotate it\&. It is a sparse file, so its size on the disk is usually much smaller than the one shown by "\fBls \-l\fR" (which can indicate a really big file if you have in
passwd
users with a high UID)\&. You can display its real size with "\fBls \-s\fR"\&.
.SH "CONFIGURATION"
.PP
The following configuration variables in
/etc/login\&.defs
change the behavior of this tool:
.SH "FICHIERS"
.PP
/var/log/lastlog
.RS 4
Base de donn\('ees de l\*(Aqheure des connexions pr\('ec\('edentes des utilisateurs\&.
.RE
.SH "AVERTISSEMENTS"
.PP
S\*(Aqil y a des trous importants dans les valeurs des UID,
\fBlastlog\fR
s\*(Aqex\('ecutera plus lentement, sans affichage \(`a l\*(Aq\('ecran (par exemple, s\*(Aqil n\*(Aqy a pas d\*(Aqentr\('ee pour les utilisateurs ayant un UID compris entre 170 et 800 dans base de donn\('ees lastlog, le programme lastlog semblera bloqu\('e comme s\*(Aqil traitait les entr\('ees correspondant aux UID 171 \(`a 799)\&.
.PP
Having high UIDs can create problems when handling the
<term> /var/log/lastlog</term>
with external tools\&. Although the actual file is sparse and does not use too much space, certain applications are not designed to identify sparse files by default and may require a specific option to handle them\&.
